org.firebirdsql.jdbc.parser

## Interface ReservedWords

All Known Implementing Classes:
  FirebirdReservedWords

    @InternalApi
    public interface ReservedWords

Interface for reserved words checks.

Since:
  4.0.8
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isReservedWord(java.lang.CharSequence tokenText)` Checks case-insensitively if the supplied token text is a reserved word.

### Method Detail

#### isReservedWord

    boolean isReservedWord(java.lang.CharSequence tokenText)

Checks case-insensitively if the supplied token text is a reserved word.

Parameters:
  `tokenText` - Token text to check
Returns:
  `true` if the token text is a reserved word, `false` otherwise